Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451540 - Review-Request: perl-String-Random - Perl module to generate random strings based on a pattern
Summary: Review-Request: perl-String-Random - Perl module to generate random strings b...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://v3.sk/~lkundrak/SPECS/perl-Str...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-15 12:57 UTC by Lubomir Rintel
Modified: 2008-06-23 19:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-23 19:04:12 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Lubomir Rintel 2008-06-15 12:57:11 UTC
SPEC: http://v3.sk/~lkundrak/SPECS/perl-String-Random.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/perl-String-Random-0.22-1.el5.src.rpm

Description:

This module makes it trivial to generate random strings.

Comment 1 Parag AN(पराग) 2008-06-18 10:02:56 UTC
build failed http://koji.fedoraproject.org/koji/taskinfo?taskID=667772
check for missing BuildRequires:  perl(Test::More)

Comment 2 Lubomir Rintel 2008-06-23 08:07:55 UTC
Hm, on my el5 perl(Test::More) is provided by core perl package. Thsi is most
likely used only for testing, so I'll just disable the tests for newer Fedoras,
I'll just have to find out which ones.

Comment 3 Lubomir Rintel 2008-06-23 08:14:28 UTC
Oh -- now I get it, while looking at build logs. It is indeed that Test::More
used to be provided by core perl package, but no longer is. Fixed package:

SPEC: http://netbsd.sk/~lkundrak/SPECS/perl-String-Random.spec
SRPM: http://netbsd.sk/~lkundrak/SRPMS/perl-String-Random-0.22-2.el5.src.rpm

Comment 4 Parag AN(पराग) 2008-06-23 09:00:43 UTC
Review:
+ package builds in mock.
Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=676061
+ rpmlint is silent for SRPM and for RPM.
+ source files match with different upstream url
c0319f95c56450624cc646f7425e327e  String-Random-0.22.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
All tests successful.
Files=6, Tests=158,  0 wallclock secs ( 0.18 cusr +  0.03 csys =  0.21 CPU)
+ Package perl-String-Random-0.22-2.fc10 =>
Provides: perl(String::Random) = 0.22
Requires: perl >= 0:5.006_001 perl(:MODULE_COMPAT_5.10.0) perl(Carp)
perl(Exporter) perl(strict) perl(warnings)

SHOULD=>
   Change Source URL to
http://search.cpan.org/CPAN/authors/id/S/ST/STEVE/String-Random-0.22.tar.gz

APPROVED.


Comment 5 Lubomir Rintel 2008-06-23 10:22:32 UTC
New Package CVS Request
=======================
Package Name: perl-String-Random
Short Description: Perl module to generate random strings based on a pattern
Owners: lkundrak
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes

Comment 6 Kevin Fenzi 2008-06-23 15:29:51 UTC
cvs done.

Comment 7 Lubomir Rintel 2008-06-23 19:04:12 UTC
Thanks Parag, thanks Kevin.
Imported and built.


Note You need to log in before you can comment on or make changes to this bug.